# Interface ExceptionConstants

@Deprecated public interface ExceptionConstants
Deprecated.
(since 6.0) DO NOT USE - use ExceptionConst instead
Exception constants.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Class<AbstractMethodError>`
  `ABSTRACT_METHOD_ERROR`
  Deprecated.
  Exception class: AbstractMethodError.
  `static final Class<ArithmeticException>`
  `ARITHMETIC_EXCEPTION`
  Deprecated.
  Exception class: ArithmeticException.
  `static final Class<ArrayIndexOutOfBoundsException>`
  `ARRAY_INDEX_OUT_OF_BOUNDS_EXCEPTION`
  Deprecated.
  Exception class: ArrayIndexOutOfBoundsException.
  `static final Class<ClassCastException>`
  `CLASS_CAST_EXCEPTION`
  Deprecated.
  Exception class: ClassCastException.
  `static final Class<ClassCircularityError>`
  `CLASS_CIRCULARITY_ERROR`
  Deprecated.
  Exception class: ClassCircularityError.
  `static final Class<ClassFormatError>`
  `CLASS_FORMAT_ERROR`
  Deprecated.
  Exception class: ClassFormatError.
  `static final Class<ExceptionInInitializerError>`
  `EXCEPTION_IN_INITIALIZER_ERROR`
  Deprecated.
  Exception class: ExceptionInInitializerError.
  `static final Class<?>[]`
  `EXCS_ARRAY_EXCEPTION`
  Deprecated.
  `static final Class<?>[]`
  `EXCS_CLASS_AND_INTERFACE_RESOLUTION`
  Deprecated.
  Do not use these arrays, use the static methods in the ExceptionConst implementation class instead.
  `static final Class<?>[]`
  `EXCS_FIELD_AND_METHOD_RESOLUTION`
  Deprecated.
  `static final Class<?>[]`
  `EXCS_INTERFACE_METHOD_RESOLUTION`
  Deprecated.
  `static final Class<?>[]`
  `EXCS_STRING_RESOLUTION`
  Deprecated.
  `static final Class<IllegalAccessError>`
  `ILLEGAL_ACCESS_ERROR`
  Deprecated.
  Exception class: IllegalAccessError.
  `static final Class<IllegalMonitorStateException>`
  `ILLEGAL_MONITOR_STATE`
  Deprecated.
  Exception class: IllegalMonitorStateException.
  `static final Class<IncompatibleClassChangeError>`
  `INCOMPATIBLE_CLASS_CHANGE_ERROR`
  Deprecated.
  Exception class: IncompatibleClassChangeError.
  `static final Class<InstantiationError>`
  `INSTANTIATION_ERROR`
  Deprecated.
  Exception class: InstantiationError.
  `static final Class<LinkageError>`
  `LINKING_EXCEPTION`
  Deprecated.
  Super class of any linking exception (aka Linkage Error)
  `static final Class<NegativeArraySizeException>`
  `NEGATIVE_ARRAY_SIZE_EXCEPTION`
  Deprecated.
  Exception class: NegativeArraySizeException.
  `static final Class<NoClassDefFoundError>`
  `NO_CLASS_DEF_FOUND_ERROR`
  Deprecated.
  Exception class: NoClassDefFoundError.
  `static final Class<NoSuchFieldError>`
  `NO_SUCH_FIELD_ERROR`
  Deprecated.
  Exception class: NoSuchFieldError.
  `static final Class<NoSuchMethodError>`
  `NO_SUCH_METHOD_ERROR`
  Deprecated.
  Exception class: NoSuchMethodError.
  `static final Class<NullPointerException>`
  `NULL_POINTER_EXCEPTION`
  Deprecated.
  Exception class: NullPointerException.
  `static final Class<RuntimeException>`
  `RUNTIME_EXCEPTION`
  Deprecated.
  Super class of any run-time exception
  `static final Class<Throwable>`
  `THROWABLE`
  Deprecated.
  The mother of all exceptions
  `static final Class<UnsatisfiedLinkError>`
  `UNSATISFIED_LINK_ERROR`
  Deprecated.
  Exception class: UnsatisfiedLinkError.
  `static final Class<VerifyError>`
  `VERIFY_ERROR`
  Deprecated.
  Exception class: VerifyError.

- ## Field Details

  - ### THROWABLE

    static final Class<Throwable> THROWABLE
    Deprecated.
    The mother of all exceptions

  - ### RUNTIME_EXCEPTION

    static final Class<RuntimeException> RUNTIME_EXCEPTION
    Deprecated.
    Super class of any run-time exception

  - ### LINKING_EXCEPTION

    static final Class<LinkageError> LINKING_EXCEPTION
    Deprecated.
    Super class of any linking exception (aka Linkage Error)

  - ### CLASS_CIRCULARITY_ERROR

    static final Class<ClassCircularityError> CLASS_CIRCULARITY_ERROR
    Deprecated.
    Exception class: ClassCircularityError.

  - ### CLASS_FORMAT_ERROR

    static final Class<ClassFormatError> CLASS_FORMAT_ERROR
    Deprecated.
    Exception class: ClassFormatError.

  - ### EXCEPTION_IN_INITIALIZER_ERROR

    static final Class<ExceptionInInitializerError> EXCEPTION_IN_INITIALIZER_ERROR
    Deprecated.
    Exception class: ExceptionInInitializerError.

  - ### INCOMPATIBLE_CLASS_CHANGE_ERROR

    static final Class<IncompatibleClassChangeError> INCOMPATIBLE_CLASS_CHANGE_ERROR
    Deprecated.
    Exception class: IncompatibleClassChangeError.

  - ### ABSTRACT_METHOD_ERROR

    static final Class<AbstractMethodError> ABSTRACT_METHOD_ERROR
    Deprecated.
    Exception class: AbstractMethodError.

  - ### ILLEGAL_ACCESS_ERROR

    static final Class<IllegalAccessError> ILLEGAL_ACCESS_ERROR
    Deprecated.
    Exception class: IllegalAccessError.

  - ### INSTANTIATION_ERROR

    static final Class<InstantiationError> INSTANTIATION_ERROR
    Deprecated.
    Exception class: InstantiationError.

  - ### NO_SUCH_FIELD_ERROR

    static final Class<NoSuchFieldError> NO_SUCH_FIELD_ERROR
    Deprecated.
    Exception class: NoSuchFieldError.

  - ### NO_SUCH_METHOD_ERROR

    static final Class<NoSuchMethodError> NO_SUCH_METHOD_ERROR
    Deprecated.
    Exception class: NoSuchMethodError.

  - ### NO_CLASS_DEF_FOUND_ERROR

    static final Class<NoClassDefFoundError> NO_CLASS_DEF_FOUND_ERROR
    Deprecated.
    Exception class: NoClassDefFoundError.

  - ### UNSATISFIED_LINK_ERROR

    static final Class<UnsatisfiedLinkError> UNSATISFIED_LINK_ERROR
    Deprecated.
    Exception class: UnsatisfiedLinkError.

  - ### VERIFY_ERROR

    static final Class<VerifyError> VERIFY_ERROR
    Deprecated.
    Exception class: VerifyError.

  - ### NULL_POINTER_EXCEPTION

    static final Class<NullPointerException> NULL_POINTER_EXCEPTION
    Deprecated.
    Exception class: NullPointerException.

  - ### ARRAY_INDEX_OUT_OF_BOUNDS_EXCEPTION

    static final Class<ArrayIndexOutOfBoundsException> ARRAY_INDEX_OUT_OF_BOUNDS_EXCEPTION
    Deprecated.
    Exception class: ArrayIndexOutOfBoundsException.

  - ### ARITHMETIC_EXCEPTION

    static final Class<ArithmeticException> ARITHMETIC_EXCEPTION
    Deprecated.
    Exception class: ArithmeticException.

  - ### NEGATIVE_ARRAY_SIZE_EXCEPTION

    static final Class<NegativeArraySizeException> NEGATIVE_ARRAY_SIZE_EXCEPTION
    Deprecated.
    Exception class: NegativeArraySizeException.

  - ### CLASS_CAST_EXCEPTION

    static final Class<ClassCastException> CLASS_CAST_EXCEPTION
    Deprecated.
    Exception class: ClassCastException.

  - ### ILLEGAL_MONITOR_STATE

    static final Class<IllegalMonitorStateException> ILLEGAL_MONITOR_STATE
    Deprecated.
    Exception class: IllegalMonitorStateException.

  - ### EXCS_CLASS_AND_INTERFACE_RESOLUTION

    @Deprecated static final Class<?>[] EXCS_CLASS_AND_INTERFACE_RESOLUTION
    Deprecated.
    Do not use these arrays, use the static methods in the ExceptionConst implementation class instead.
    Pre-defined exception arrays according to chapters 5.1-5.4 of the Java Virtual Machine Specification.

  - ### EXCS_FIELD_AND_METHOD_RESOLUTION

    @Deprecated static final Class<?>[] EXCS_FIELD_AND_METHOD_RESOLUTION
    Deprecated.
    Exception array for field and method resolution. @deprecated Do not use.

  - ### EXCS_INTERFACE_METHOD_RESOLUTION

    @Deprecated static final Class<?>[] EXCS_INTERFACE_METHOD_RESOLUTION
    Deprecated.
    Empty array.

  - ### EXCS_STRING_RESOLUTION

    @Deprecated static final Class<?>[] EXCS_STRING_RESOLUTION
    Deprecated.
    Empty array.

  - ### EXCS_ARRAY_EXCEPTION

    @Deprecated static final Class<?>[] EXCS_ARRAY_EXCEPTION
    Deprecated.
    Exception array. @deprecated Do not use.